
/* 
    Created on : 21/10/2015, 1:23:11 PM
    Author     : Geoff Kimm
*/

html { height: 100% }
body { height: 100%; margin: 0; padding: 0; overflow: hidden; }


#map-canvas {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
     z-index: 0;
}


#drop-container {
  display: none;
  height: 100%;
  width: 100%;
  position: absolute;
  z-index: 1;
  top: 0px;
  left: 0px;
  padding: 20px;
  background-color: rgba(100, 100, 100, 0.5);
}


#drop-silhouette {
  color: white;
  border: white dashed 8px;
  height: calc(100% - 56px);
  width: calc(100% - 56px);
  background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAGQAAABkCAYAAABw4pVUAAAAAXNSR0IArs4c6QAAAAZiS0dEAGQAZABkkPCsTwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB90LHAIvICWdsKwAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAACdklEQVR42u3csU7icBzA8Xp3GBMSeRITH8JHMY7cRMvmVmXoE9TAcJubhjD4ApoiopgqDMWAKAgIcSAiCfxuwhwROVJbkPD9rP23ob8vpZCQKgoAAAAAAAAAAPDYyiK/eNM05bNtr6+vSjgcXiHxDMkE1WpVFvGcfpCVICAIQUAQgoAgBAFBCAKCgCAEAUEIAoIQBAQhCAgCghAEBCEICEIQEIQgIAgIQhAQhCAgCEFAEIKAICAIQUAQgoAgBAFBCDIzhmFINBo9/K6D0XVddnd3ZaneDY7jSCqVcn3SfjyeKRKJbJ2dnYllWbKUl2i5XJaXlxdJJBIy7yDHx8fy9vYm6XR6OWMM3d/fi4hIqVSSWCwmsw5ycHAgrVZLRETOz8+XO8ZQpVJ5H2Y6nRZN0/b9DqLruhSLxfd9MpkMMT6L0uv1JJlMih9BhveJwWDwvv7i4oIY4zw8PIwMtt1uSzweF6+CHB0dSbfbHVmbzWaJMcnj4+OHAd/d3cne3p64DWKapjw/P39Yd3l5SYxpVKvVsYO2LEtUVd2ZNoiu6+I4ztg1V1dXxPAiSq/Xk5OTk0k9pNVqyenp6ch94l+5XI4YbtRqNfHa9fX1t43xcwGa/Nnc3PwdDAY9OZht28rGxgZPvP6KSCSy9fT09OUrw7ZtPqa8jFKv113HuLm5IYbXVFXdcRPl9vaWGH5GaTQaU8fI5/PE8JumafvNZvO/MQqFAjFmJRqNHk6Ksqgx5vr1zzAM2d7edr3/6uqqsra2NnZbp9NR+v2+62OHQqG5zObXPIMEAgFlfX3dl2N79btl1viTA0FAEIKAIAQBAAAAAAAAsMz+Ai1bUgo6ebm8AAAAAElFTkSuQmCC');
  background-repeat: no-repeat;
  background-position: center;
}


.slider-selection {
    background: #85C6E7 !important;
}

.slider-handle {
    background: #0376B0;
}

.slider-track {
    background: #f7f7f7;
}

.tick-slider-selection {
  background-color: #85C6E7 !important;
}

.slider-tick {
    background: #f0f0f0;
}


.pac-input {
    width: 300px;
    box-sizing: border-box;
}


.panelcollapse {
    
    background-color: #fff;
    font-family: Roboto;
    font-size: 11px;
    font-weight: 300;
    text-overflow: ellipsis;

    position: absolute;
    top: 5px;
    right: 5px;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 2px;
    padding: 2px;
    cursor: pointer;
    z-index: 1;
}



.panelexpand {
    background-color: #fff;
    font-family: Roboto;
    font-size: 11px;
    font-weight: 300;
    text-overflow: ellipsis;

    top: 5px;
    right: 5px;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 2px;
    padding: 2px;
    cursor: pointer;
}


.panel {
  margin:8px 0px 0px 8px;
  background-color: #fff;
  padding: 5px;
  border-radius: 4px;
  border: 1px solid #999;
  display: inline;
  position: relative;
}


.panelseparator {
    border: none;
    border-top: 1px solid #ccc;
    margin: 6px 0;
    width: 100%;
}


.panelrow {
    display: flex;
    align-items: center;
    gap: 42px;
}


.panelrowlabel {
    border-radius: 4%;
    width: 108px;
    height: 18px;
    padding: 1px;
    border: 1px solid #666;
    text-align: center;
    background: #FCEBA1;
    font-family: Roboto;
    font-size: 11px;
    font-weight: 300;
    border: none;
    margin-right: -30px;
    display: flex;
    align-items: center;
    justify-content: center;
    
}


.panelgroup {
    display: flex;
    align-items: center;
    gap: 5px;
}


.panelslidergroup {
    display: flex;
    align-items: center;
    gap: 15px;
}


.panelbutton {
    background-color: #fff;
    font-family: Roboto;
    font-size: 11px;
    font-weight: 300;
    text-overflow: ellipsis;
    float: left;
    
    border: 1px solid #999;
    margin:1px 5px 0px 0px;
    float: left;
    cursor: pointer;
}


.panelbuttoninner {    
    font-family: Roboto;
    font-size: 11px;
    text-align: center;
    padding:1px 4px 1px 4px;
    
}


.paneltext {
    
    background-color: #fff;
    font-family: Roboto;
    font-size: 11px;
    font-weight: 300;
    text-overflow: ellipsis;
    line-height: 1;
    margin: 0;
}


.tooltip >.tooltip-inner {
    background-color: blue;
    color: #fff;
    border: 2px solid blue;
    font-family: Roboto, sans-serif;
    font-weight: 300;
    font-size: 11px;
    border-radius: 8px;
    padding: 8px 16px;
    max-width: 240px;
}


.tooltip .tooltip-arrow::before {
    content: '';
    position: absolute;
    border-style: solid;
    border-color: transparent transparent blue transparent !important;
    border-width: 0 10px 10px;
    display: block;
    z-index: 1;
}


td.infoIcon
{
    padding-right: 8px;
}


.splash {
    font-family: 'Poppins', 'Nunito', 'Open Sans', sans-serif;
    border: 2px solid black;
    color: #FFF;
    text-shadow: 0 -1px #000000;
    box-shadow: 0 0 8px #000;
    opacity: 0.88;
    border-radius: 2px;
    background: #333;
    position: absolute;
    
    overflow: hidden;
    display: flex;
    flex-direction: row; 
    
    width: 50vw;
    height: auto;
    max-width: none;
    aspect-ratio: 2.5;
    overflow: hidden;
     
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}


.splash img {
    height: 20vw;
}


.splash-content-container {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
}


.splash-title {
    width: 100%;
    height: 30%;
    text-align: left;
    color: #333;
    font-size: 3vw;
    overflow: hidden;
    white-space: nowrap;
    padding: min(1.5vw, 2.5vh) 0 0 min(2vw, 2vh);
    font-weight: bold;
    color: white;
}


.splash-instructions {
    font-size: min(1.3vw, 3.3vh);
    line-height: 1.5;
    color: #555;
    text-align: left;
    border: min(0.1vw, 0.1vh) solid #333;
    padding: min(1vw, 1vh) min(2vw, 2vh) min(2vw, 2vh) min(2vw, 2vh);
    color: white;
}


splash-instructions a {
    color: DodgerBlue;
}


div.timer {
    position: absolute;
    z-index: 999;
    display: none;
    width: 160px;
    height: 160px;
    opacity: 0.9;
}



.statusarea {
    min-width: 490px;
    position: relative;
    display: inline-block;
}


.statusbox {
    border: 1px solid green ;
    width: 400px;
    height: 100px;
    background-color: #fff;
    padding: 5px;
    border-radius: 4px;
    border: 1px solid #999;
    margin:6px 0px 6px 6px;
    opacity: 0.8;
    
    max-height: 250px;
    overflow-y: auto
        
}

/*
.statusarea textareax{
    width: 490px;
    height: 20px;
}
*/

.statusarea span.buttonfortxtarea{
    display: flex;
    margin:0px 0px 0px 8px;
    gap: 5px;
}


.buttonfortxtarea button.infobutton {
    
    background-color: #fff;
    font-family: Roboto;
    font-size: 11px;
    font-weight: 300;
    text-overflow: ellipsis;
    
    border: none;
    color: black;
    padding: 4px 4px;
    text-align: center;
    text-decoration: none;
    display: inline-block;    
    background-color: #fff;
    padding: 5px;
    border-radius: 4px;
    border: 1px solid #999;
    opacity: 0.8;
}
